SwingHelpUtilities
Keywords: javax.help.SwingHelpUtilities class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class SwingHelpUtilities

    java.lang.Object
      javax.help.SwingHelpUtilities

All Implemented Interfaces:
  java.util.EventListener, java.beans.PropertyChangeListener

public class SwingHelpUtilities
extends java.lang.Object
implements java.beans.PropertyChangeListener

Provides a number of utility functions: Support for Beans, mapping from a Bean class to its HelpSet and to its ID. Support for LAF changes. Support for finding localized resources. This class has no public constructor.

Constructor Summary
`SwingHelpUtilities()`

Method Summary
`static javax.swing.ImageIcon` | `getImageIcon(java.lang.Class baseClass, java.lang.String image)` Create an Icon from a given resource.
`void` | `propertyChange(java.beans.PropertyChangeEvent event)` The PropertyChange method is used to track changes to LookAndFeel via the "lookAndFeel" property.
`static void` | `setContentViewerUI(java.lang.String cvUI)` Set the default ContentViewerUI param cvUI - full class name of the content viewer UI

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingHelpUtilities

    public SwingHelpUtilities()

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  The PropertyChange method is used to track changes to LookAndFeel via the "lookAndFeel" property.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### setContentViewerUI

    public static void setContentViewerUI(java.lang.String cvUI)

  Set the default ContentViewerUI param cvUI - full class name of the content viewer UI

### getImageIcon

    public static javax.swing.ImageIcon getImageIcon(java.lang.Class baseClass,
                                                     java.lang.String image)

  Create an Icon from a given resource. This works uisng getResourceAsStream() because several browsers do not correctly implement getResource(). This method may change...

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD